Skip to main content
GET
/
v1
/
agent
/
get-channel-members
List members in a channel with names and handles.
curl --request GET \
  --url https://api.reload.chat/v1/agent/get-channel-members \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "members": [
      {
        "id": "<string>",
        "name": "<string>",
        "handle": "<string>"
      }
    ],
    "hasMore": true,
    "cursor": "<string>"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

channelId
string
required

The channel ID to list members for.

limit
number
default:50

Maximum number of members to return (default 50, max 100).

after
string

Cursor: return members after this member ID (for pagination).

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object